#include "TwoDimTbl.h"

int* create(int lns, int clmns) {
    return new int[lns * clmns];
}

void set(int* t, int ln, int clmn, int value, int clmNo) {
    t[ln * clmNo + clmn] = value;
}

int get(int* t, int ln, int clmn, int clmnNo) {
    return t[ln * clmnNo + clmn];
}

void resize(int*& t, int lns, int clmns,
        int newLns, int newClmns) {
    int* local=create(newLns, newClmns);
    for (int i=0; i<lns && i<newLns; i++)
        for (int j=0; j<clmns && j<newClmns; j++) {
          int data=get(t,i,j,clmns);
          set(local,i,j,data,newClmns);
        }
    delete [] t;
    t=local;
}
