
/* 
 * File:   TwoDimTbl.h
 * Author: Lefteris Moussiades <lmous@teiemt.gr>
 *
 * Created on 27 Νοεμβρίου 2018, 6:25 μμ
 */

#ifndef TWODIMTBL_H
#define TWODIMTBL_H

//Δημιουργεί έναν δυσδιάστατο πίνακα lns*clmns 
//και επιστρέφει έναν pointer στην αρχή του πίνακα.
int* create(int lns, int clmns);

//Κάνει set το στοιχείο που βρίσκεται στην θέση 
//(ln, clmn) του πίνακα t
void set(int* t, int ln, int clmn, int value, int clmnNo);

//Επιστρέφει το στοιχείο που βρίσκεται στην 
//θέση (ln, clmn) του πίνακα t
int get(int* t, int ln, int clmn, int clmnNo);

//Μεταβάλει το μέγεθος του t απο (lns*clmns) σε (newLns*newClmns)
void resize(int*& t, int  lns, int clmns, int newLns, int newClmns);



#endif /* TWODIMTBL_H */

