/* 
 * File:   main.cpp
 * Author: Lefteris Moussiades <lmous@teiemt.gr>
 *
 * Created on 20 Νοεμβρίου 2018, 6:21 μμ
 */

#include <iostream>
#include "dynamicArray.h"
#include "TwoDimTbl.h"

using namespace std;
void intro() {
    int* p;
    int k=5;
    p=&k;
    cout << p << endl;
    cout << *p << endl;
    *p=9;
    cout << k << endl;
}
void dynamic() {
    int* p=new int;
    *p=5;
    cout << *p << endl;
    delete p;
}
int* getInteger() {
    int* p=new int;
    *p=5;
    return p;
}
void tstDynamic() {
    int* k=getInteger();
    cout << *k << endl;
    delete k;
}
void arrays() {
    int t[]={1,2,3,4,5};
    int* p=&t[1];
    int* p1=t+1;
    cout << *p << " " << *p1 << endl;
    cout << sizeof(int) << endl;
}

void tstTwoDimTbl() {
    int* myArray=create(3,4);
    for (int i=0; i<3; i++)
        for (int j=0; j<4; j++)
            set(myArray,i,j,i*100+j,4);
    resize(myArray,3,4,3,5);
    set(myArray,2,4,-1,5);
    set(myArray,1,4,-2,5);
    set(myArray,0,4,-3,5);
    for (int i=0; i<3; i++) {
        for (int j=0; j<5; j++) {
            cout << get(myArray,i,j,5) << " ";
        }    
        cout << endl;
    }
 }

int main(int argc, char** argv) {
    tstTwoDimTbl();
    /*
    int* myTable=create(5);
    for (int i=0; i<5; i++)
        myTable[i]=i*10+1;
    resize(myTable,5,6);
    for (int i=0; i<6; i++)
        cout << myTable[i] << " ";
    cout << endl;
     * */
    //tstDynamic();
    //arrays();
    
    return 0;
}

